# No SOURCE spec-file
#
# Instructions:
# - install new Thunderbird!
#
# - then check Instructions in pclos-thunderbird-l10n and continue there
#
# pinoc
#
%define mozillalibdir %{_libdir}/%{name}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:        Thunderbird mail/newsgroup client
Summary(de):	Thunderbird - Die E-Mail-Anwendung
Name:		thunderbird
Version:	52.3.0
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/Mail
URL:		http://www.firefox.com/
Source12:       thunderbird-redhat-default-prefs.js
Source20:       thunderbird.desktop
Source21:       thunderbird.sh.in
Source22:       mozilla-thunderbird-official.png
Source33:	hyphenation.tar.xz
Source34:	update.locale
#-----------------------------------------------------
Obsoletes:	mozilla-thunderbird < %version
Provides:	mozilla-thunderbird = %version-ease
Obsoletes:	%{name} < %version
Provides:	%name = %version-ease
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Mozilla Thunderbird is a standalone mail and newsgroup client.

#german
%description -l de
Mozilla Thunderbird ist ein freies Open-Source-E-Mail-Programm 
und -Newsreader des Mozilla-Projekts.


%prep
#Here we go!
%ifarch %{ix86}
cd %_builddir
wget -nc http://ftp.mozilla.org/pub/thunderbird/releases/%{version}/linux-i686/en-US/thunderbird-%{version}.tar.bz2
tar -xvjf thunderbird-%{version}.tar.bz2
%else
cd %_builddir
wget -nc http://ftp.mozilla.org/pub/thunderbird/releases/%{version}/linux-x86_64/en-US/thunderbird-%{version}.tar.bz2
tar -xvjf thunderbird-%{version}.tar.bz2
%endif


%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{mozillalibdir}
cp -r %name/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
rm -f $RPM_BUILD_ROOT/%{_bindir}/thunderbird
install -m 0755 %{SOURCE21} $RPM_BUILD_ROOT%{_bindir}/thunderbird
install -m 0755 %{SOURCE21} $RPM_BUILD_ROOT%{_bindir}/mozilla-thunderbird


# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins


tar xvfJ %{SOURCE33} -C $RPM_BUILD_ROOT%{mozillalibdir}

# set up our default preferences
%{__cat} %{SOURCE12} | %{__sed} -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g' \
                                -e 's,COMMAND,/usr/bin/firefox,g' > \
        $RPM_BUILD_ROOT/rh-default-prefs
%{__install} -D $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{mozillalibdir}/greprefs/all-pclinuxos.js
%{__install} -D $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{mozillalibdir}/defaults/pref/all-pclinuxos.js
%{__rm} $RPM_BUILD_ROOT/rh-default-prefs

#icon
%{__install} -p -D %{SOURCE22} %{buildroot}%{_datadir}/pixmaps/thunderbird.png
%{__cp} %{buildroot}%{mozillalibdir}/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 32 48 ; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
ln -sf %{mozillalibdir}/chrome/icons/default/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/thunderbird.png ;
done

#desktop file
desktop-file-install --vendor mozilla \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Network \
  --add-category Email \
  --add-category X-MandrivaLinux-Internet-Mail \
  %{SOURCE20}


# add the update.local, should be there automatically but is no longer since TB11 so let's add it 
install -m 0644 %{SOURCE34} $RPM_BUILD_ROOT/%{mozillalibdir}/update.locale


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%post
unset DISPLAY


%files
%defattr(-,root,root)
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Fri Aug 18 2017 threepio <threepio> 52.3.0-1uplos2017
- update

* Sun Jun 25 2017 threepio <threepio> 52.2.1-1uplos2017
- update

* Thu Jun 15 2017 threepio <threepio> 52.2.0-1uplos2017
- update


* Wed May 17 2017 threepio <threepio> 52.1.1-1uplos2017
- update


* Mon May 01 2017 threepio <threepio> 52.1.0-1uplos2017
- update


* Fri Jan 13 2017 adrianomorselli <adrianomorselli> 45.6.0-1uplos2017
- rebuild

* Wed Dec 28 2016 bb <bb> - 45.6.0-1pclos2017
- new version

